From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/keepass/
Date: Fri, 1 Mar 2024 00:20:11 +0000 (UTC) [thread overview]
Message-ID: <1709252392.d6da577dc07023478104aef6e02beda92698230e.dlan@gentoo> (raw)
commit: d6da577dc07023478104aef6e02beda92698230e
Author: Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 1 00:19:29 2024 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Fri Mar 1 00:19:52 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6da577d
app-admin/keepass: add 2.56
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
app-admin/keepass/Manifest | 1 +
app-admin/keepass/keepass-2.56.ebuild | 116 ++++++++++++++++++++++++++++++++++
2 files changed, 117 insertions(+)
diff --git a/app-admin/keepass/Manifest b/app-admin/keepass/Manifest
index 8c62c49b4e39..1c35ecef078a 100644
--- a/app-admin/keepass/Manifest
+++ b/app-admin/keepass/Manifest
@@ -1,2 +1,3 @@
DIST KeePass-2.49-Source.zip 5135190 BLAKE2B bf5a9aab0065a97545bd1b81a74b5ab113e4c4802873445719ce2a571745b04c69ab5d8be9a67dc59a713947f0955cbcccc782b6628f722a0d564283b943eee6 SHA512 7a25de6acb2637bd8820fb70866ab4ced4ece4b3e64172f616c2fb59d2a4e7a2f340435db10731ed3d7e66db7761487925cf1c7941b0bac12e72c5fcd9e8b7d3
DIST KeePass-2.53-Source.zip 5201820 BLAKE2B a87918278915f1a54d8f6d6b8ef05d5a86f41a58887a1c80a8217112061fd40d59393012ae7b69d6c2110a7b0b36c57ecce4292a68e9161e99e1762b1622192e SHA512 8d35ec83ada7142e91be6a5889eabb98f1d8fe32140a3b904db76d64f42bed0ce1cc0378f38560b7f1307df545f00a398da599ef9fc44474e8c16722433d4e4e
+DIST KeePass-2.56-Source.zip 5231868 BLAKE2B d7ed0baf6db6a0398ce9bceb9a61088ef7cc14ba0c5b13a01123f9c7fca37e52bf352c438c3100ba32d59cfcfa90de790a07649684a971224bba6eb554cbed34 SHA512 cee9d8569e59a29044760dc94c4ab3ee6f1eb26aaa12d18a36d9e1b87e421291b49a3747fdb340a7af06494d65fe4d37579f16a577b0af2c053504b80e8a1c60
diff --git a/app-admin/keepass/keepass-2.56.ebuild b/app-admin/keepass/keepass-2.56.ebuild
new file mode 100644
index 000000000000..439e07752469
--- /dev/null
+++ b/app-admin/keepass/keepass-2.56.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature wrapper xdg-utils
+
+MY_PN="KeePass"
+DESCRIPTION="A free, open source, light-weight and easy-to-use password manager"
+HOMEPAGE="https://keepass.info/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}-Source.zip"
+S="${WORKDIR}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="aot"
+
+BDEPEND="app-arch/unzip"
+DEPEND="dev-lang/mono"
+RDEPEND="
+ ${DEPEND}
+ dev-dotnet/libgdiplus[cairo]
+"
+
+PATCHES=( "${FILESDIR}/${PN}-2.53-xsl-path-detection.patch" )
+
+# bug #687052
+# file generated by mono --aot where *FLAGS don't make sense
+QA_PREBUILT="usr/lib64/keepass/KeePass.exe.so"
+
+src_prepare() {
+ # KeePass looks for some XSL files in the same folder as the executable,
+ # we prefer to have it in /usr/share/KeePass. Apply patch using base function.
+ # This XSL file will not be upstreamed since the KeePass creator said that
+ # including this patch would break the Portable USB version of KeePass
+ # (which keeps/looks for xsl files in its own folder)
+ default
+
+ # Switch into build dir so the mono prepration script works correctly
+ pushd Build || die
+ source PrepMonoDev.sh || die
+ popd || die
+}
+
+src_compile() {
+ export MONO_REGISTRY_PATH=/dev/null # bug 659808
+
+ # bug 704358
+ export LANG=C LC_ALL=C
+
+ # Build with Release target
+ xbuild /target:KeePass /property:Configuration=Release || die
+
+ # Run Ahead Of Time compiler on the binary
+ if use aot; then
+ cp Ext/KeePass.exe.config Build/KeePass/Release/ || die
+ mono --aot -O=all Build/KeePass/Release/KeePass.exe || die
+ fi
+}
+
+src_install() {
+ # Wrapper script to launch mono
+ make_wrapper "${PN}" "mono /usr/$(get_libdir)/${PN}/KeePass.exe"
+
+ # Some XSL files
+ insinto "/usr/share/${PN}/XSL"
+ doins Ext/XSL/*
+
+ insinto "/usr/$(get_libdir)/${PN}"
+ exeinto "/usr/$(get_libdir)/${PN}"
+
+ doins Ext/KeePass.exe.config
+
+ # Default configuration, simply says to use user-specific configuration
+ doins Ext/KeePass.config.xml
+
+ # The actual executable
+ doexe Build/KeePass/Release/KeePass.exe
+
+ # Copy the AOT compilation result
+ if use aot; then
+ doexe Build/KeePass/Release/KeePass.exe.so
+ fi
+
+ # Prepare the icons
+ newicon -s 256 Ext/Icons_04_CB/Finals/plockb.png "${PN}.png"
+ newicon -s 256 -t gnome -c mimetypes Ext/Icons_04_CB/Finals/plockb.png "application-x-${PN}2.png"
+
+ # Create a desktop entry and associate it with the KeePass mime type
+ make_desktop_entry "${PN}" "${MY_PN}" "${PN}" "System;Security" "MimeType=application/x-keepass2;\nStartupWMClass=KeePass2;"
+
+ # MIME descriptor for .kdbx files
+ insinto /usr/share/mime/packages
+ doins "${FILESDIR}/${PN}.xml"
+
+ # sed, because patching this really sucks
+ sed -i 's/mono/mono --verify-all/g' "${D}/usr/bin/keepass" || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+
+ optfeature "enables autotype/autofill" x11-misc/xdotool
+
+ elog "Some systems may experience issues with copy and paste operations."
+ elog "If you encounter this, please install x11-misc/xsel."
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
next reply other threads:[~2024-03-01 0:20 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-01 0:20 Yixun Lan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-01 6:13 [gentoo-commits] repo/gentoo:master commit in: app-admin/keepass/ Joonas Niilola
2024-09-01 6:13 Joonas Niilola
2024-07-01 8:17 Matt Jolly
2023-09-28 4:35 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-07-16 18:46 Sam James
2023-05-27 10:51 Arthur Zamarin
2022-07-24 1:00 Matt Turner
2021-12-02 6:46 Michael Palimaka
2021-12-02 6:46 Michael Palimaka
2021-11-04 0:42 Jakov Smolić
2021-10-28 6:22 Sam James
2021-09-20 8:48 Michael Palimaka
2021-09-20 8:48 Michael Palimaka
2021-05-27 8:35 Michael Palimaka
2021-04-20 11:49 Michael Palimaka
2021-02-24 7:28 Michael Palimaka
2020-11-17 10:29 Michael Palimaka
2020-11-12 12:28 Sam James
2020-10-30 22:32 Thomas Deutschmann
2020-09-18 9:38 Michael Palimaka
2020-06-28 20:56 Thomas Deutschmann
2020-05-11 11:24 Michael Palimaka
2020-03-28 3:06 Michael Palimaka
2020-03-27 16:31 Agostino Sarubbo
2020-03-22 8:46 Mikle Kolyada
2020-02-10 11:12 Michael Palimaka
2020-02-10 11:01 Michael Palimaka
2020-01-21 10:42 Agostino Sarubbo
2020-01-20 13:04 Agostino Sarubbo
2019-11-05 6:21 Michael Palimaka
2019-09-23 8:46 Michael Palimaka
2019-08-06 11:27 Michael Palimaka
2019-08-06 10:40 Agostino Sarubbo
2019-08-06 9:39 Agostino Sarubbo
2019-05-08 11:03 Michael Palimaka
2019-02-28 12:45 Michael Palimaka
2019-02-28 12:45 Michael Palimaka
2019-01-10 11:18 Manuel Rüger
2018-11-17 7:24 Michael Palimaka
2018-11-17 7:24 Michael Palimaka
2018-11-08 13:22 Michael Palimaka
2018-10-06 10:32 Michael Palimaka
2018-09-16 14:34 Manuel Rüger
2018-05-26 1:10 Manuel Rüger
2018-02-25 6:55 Michael Palimaka
2018-02-25 6:55 Michael Palimaka
2018-01-12 9:17 Michael Palimaka
2018-01-11 7:30 Michael Palimaka
2017-12-16 12:08 Michael Palimaka
2017-12-16 12:08 Michael Palimaka
2017-10-14 2:42 Michael Palimaka
2017-09-04 16:01 Jonathan Vasquez
2017-07-23 2:08 Michael Palimaka
2017-06-11 15:14 Jonathan Vasquez
2017-02-18 14:33 Agostino Sarubbo
2017-02-18 13:29 Agostino Sarubbo
2017-01-10 5:49 Jonathan Vasquez
2016-12-18 1:04 Matt Thode
2016-07-17 19:16 Michael Palimaka
2016-07-09 17:46 Agostino Sarubbo
2016-06-11 18:09 Michael Palimaka
2016-05-13 22:06 Manuel Rüger
2016-05-13 8:41 Agostino Sarubbo
2016-04-04 9:00 Ian Delaney
2016-03-10 22:37 Manuel Rüger
2016-01-18 11:14 Michael Palimaka
2016-01-17 15:35 Manuel Rüger
2015-12-03 12:06 Michael Palimaka
2015-12-03 10:41 Agostino Sarubbo
2015-11-19 10:44 Agostino Sarubbo
2015-08-19 10:52 Michael Palimaka
2015-08-19 10:52 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709252392.d6da577dc07023478104aef6e02beda92698230e.dlan@gentoo \
--to=dlan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox